Update a service policy for network interfaces
Updates a service policy for network interfaces to modify the rules and settings that manage network traffic. This helps ensure that network interfaces operate according to your specified requirements.
HTTP method and endpoint
PATCH /network/ip/service-policies/{uuid}
Introduced in
ONTAP 9.8
Related ONTAP commands
-
network interface service-policy add-service -
network interface service-policy modify-service -
network interface service-policy remove-service -
network interface service-policy rename
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
uuid |
string |
path |
True |
UUID of the service policy |
Request Body
| Name | Type | Description |
|---|---|---|
is_built_in |
boolean |
|
name |
string |
|
services |
array[string] |
|
uuid |
string |
Example request
{
"name": "default-intercluster",
"services": [
"data_nfs"
],
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1376669 |
Port must reside in the same IPspace as the interface's SVM. |
2621740 |
An unexpected error when trying to determine whether the target Vserver was locked or not on this cluster. |
53281911 |
Modifying the service policy is disallowed because policies on this SVM are managed by the system |
53281929 |
Service policies cannot combine block and file services. |
53281930 |
Service policies maintained by the system cannot be renamed. |
53281931 |
Service policy names cannot start with "default-". |
53281932 |
Service cannot be added because the service does not exist for the specified SVM or IPspace. |
53281933 |
A Cluster-scoped service cannot be added to a SVM-scoped service policy. |
53281934 |
An SVM-scoped service cannot be added to a Cluster-scoped service policy. |
53281952 |
The service policy on an SVM cannot be updated to include a block service. Use built-in service policies for SAN services. |
53281953 |
The service policy on an SVM cannot be updated to include a new service. |
53281960 |
Service cannot be removed from the service policy because it is used by one or more interfaces. |
53281961 |
Service cannot be removed from the service policy because it is used by one or more interfaces. |
53281963 |
Service cannot be removed from the service policy because it is used by one or more interfaces. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
ipspace
| Name | Type | Description |
|---|---|---|
name |
string |
IPspace name |
uuid |
string |
IPspace UUID |
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
ip_service_policy
| Name | Type | Description |
|---|---|---|
is_built_in |
boolean |
|
name |
string |
|
services |
array[string] |
|
uuid |
string |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |